<?php
defined('BASEPATH') or exit('No direct script access allowed');

class ControllerBeranda extends CI_Controller
{

    public function __construct()
    {
        parent::__construct();
        //validasi jika user belum login
        check_not_login();
        if ($this->session->userdata('level') != 3) {
            redirect();
        }
        $this->set_timezone();
        $this->load->library('encrypt');
        $this->load->library('form_validation');
        $this->load->library('Mycustom');
        $this->load->library('pdfgenerator');
        $this->load->library('Notifikasi');
        $this->load->model('bagian_keuangan/insert_model');
        $this->load->model('bagian_keuangan/select_model');
        $this->load->model('bagian_keuangan/update_model');
    }
    public function set_timezone()
    {
        date_default_timezone_set("Asia/Jakarta");
    }
    public function index()
    {
        $notif = $this->notifikasi->notif_keuangan();
        // Data Login
        $data_login                   = $this->userlogin->user_login();
        $data_id_login                = $this->session->userdata('isloggedin');
        $tampil_tahun                 = $this->select_model->getDataTahunTransaksi();
        // KAS Umum Koperasi
        $masuk_kasharian              = $this->select_model->getDataARusKasArisanMasukHarian();
        $masuk_kasbulanan             = $this->select_model->getDataARusKasArisanMasukBulanan();
        $keluar_kasharian             = $this->select_model->getDataARusKasArisanKeluarHarian();
        $Keluar_kasbulanan            = $this->select_model->getDataARusKasArisanKeluarBulanan();
        // Kas Operasional Koperasi
        $data_kasmasukharian          = $this->select_model->vd_TagihanKoperasiHarian();
        $data_kasmasukbulanan         = $this->select_model->vd_TagihanKoperasiBulanan();
        $data_kaskeluarharian         = $this->select_model->vd_RealisasiKoperasiHarian();
        $data_kaskeluarbulanan        = $this->select_model->vd_RealisasiKoperasiBulanan();
        // Kas Arisan Koperasi
        $data_arisanmasukharianheboh  = $this->select_model->vd_kasMasukArisanHarianHeboh();
        $data_arisanmasukbulananheboh = $this->select_model->vd_kasMasukArisanBulananHeboh();
        $data_arisanmasukharianmotor  = $this->select_model->vd_kasMasukArisanHarianMotor();
        $data_arisanmasukbulananmotor = $this->select_model->vd_kasMasukArisanBulananMotor();
        // Omset atau pendapatan Koperasi
        $data_omset_koperasi_lancar   = $this->select_model->vd_omsetKoperasiLancar();
        $data_omset_koperasi_macet    = $this->select_model->vd_omsetKoperasiMacet();
        $data_omset_realisasi         = $this->select_model->vd_omsetKoperasiRealisasi();
        $data_pendapatankelompok      = $this->select_model->getDataSemuaPendapatanKelompok(); // Menampilkan semua data pendapatan kelompok arisan heboh
        // Kas Operasional Arisan
        // Arisan Heboh
        $data_kaskelompok             = $this->select_model->getDataSemuaKasKelompok(); // Menampilkan total saldo kas kelompok arisan heboh
        // Arisan Motor
        $data_kaslelang               = $this->select_model->getDataSemuaKasLelang(); //Menampilkan semua total saldo kas lelang kelompok arisan motor

        $data_pendapatanlelang        = $this->select_model->getDataSemuaPendapatanLelang(); // menampilkan semua data pendatan kelompok arisan motor
        $data_laporankelompok         = $this->select_model->getDataSemuaLaporanVerifikasi();
        $data_laporanlelang           = $this->select_model->getDataSemuaLaporanLelang();
        $data_arisanheboh_belum       = $this->select_model->getProdukArisanHebohBelum();
        $data_arisanmotor_belum       = $this->select_model->getProdukArisanMotorBelum();
        $data_arisanheboh             = $this->select_model->getProdukArisanHeboh();
        $data_arisanmotor             = $this->select_model->getProdukArisanMotor();
        $data_tunggak                 = $this->select_model->getDataTunggakanArisan();
        $jml_tunggakan                = count($data_tunggak);
        // echo '<pre>';
        // var_dump($jml_tunggakan);
        // die;
        $data = array(
            // Untuk memanggil halaman sesuai menu
            'folder' => 'beranda',
            'page'   => 'index',
            'judul'  => 'Beranda Keuangan || Bagian Keuangan',
            // Isi data
            'data_id_login'       => $data_id_login,
            'data_login'          => $data_login,
            'notif'               => $notif,
            'tampil_tahun'        => $tampil_tahun,
            // Data isian konten
            // Bagian Kas Umum Koperasi
            'kuk_masuk_kasharian'     => $masuk_kasharian,
            'kuk_masuk_kasbulanan'    => $masuk_kasbulanan,
            'kuk_keluar_kasharian'    => $keluar_kasharian,
            'kuk_Keluar_kasbulanan'   => $Keluar_kasbulanan,
            // Bagian Kas Operasional Koperasi
            'kok_masuk_kasharian'     => $data_kasmasukharian,
            'kok_masuk_kasbulanan'    => $data_kasmasukbulanan,
            'kok_keluar_kasharian'    => $data_kaskeluarharian,
            'kok_Keluar_kasbulanan'   => $data_kaskeluarbulanan,
            // Bagian Kas Arisan Heboh dan Motor
            'kak_masukharian_heboh'   => $data_arisanmasukharianheboh,
            'kak_masukbulanan_heboh'  => $data_arisanmasukbulananheboh,
            'kak_masukharian_motor'   => $data_arisanmasukharianmotor,
            'kak_masukbulanan_motor'  => $data_arisanmasukbulananmotor,
            // Pendapatan atau Omset Koperasi
            'omset_koperasi_lancar'   => $data_omset_koperasi_lancar,
            'omset_koperasi_macet'    => $data_omset_koperasi_macet,
            'omset_realisasi'         => $data_omset_realisasi,
            'pendapatan_kelompok'     => $data_pendapatankelompok,
            'pendapatan_lelang'       => $data_pendapatanlelang,
            // Hapus
            'kas_kelompok'        => $data_kaskelompok,
            'kas_lelang'          => $data_kaslelang,
            'laporan_kelompok'    => $data_laporankelompok,
            'laporan_lelang'      => $data_laporanlelang,
            'tunggakan'           => $data_tunggak,
            'anggota_nunggak'     => $jml_tunggakan,
            'arisan_heboh_belum'  => $data_arisanheboh_belum,
            'arisan_motor_belum'  => $data_arisanmotor_belum,
            'arisan_heboh'        => $data_arisanheboh,
            'arisan_motor'        => $data_arisanmotor
        );
        $this->load->view('keuangan/index', $data);
    }
    public function lihat_tanggal()
    {
        // End_notifikasi 
        if (isset($_POST['filterTransaksiKasTanggal'])) :
            $this->_filterKasTanggal();
        endif;
        // End_notifikasi 
        if (isset($_POST['resetTransaksiKasTanggal'])) :
            redirect('keuangan/');
        endif;
    }
    public function crud()
    {
        if (isset($_POST['simpanAnggotaArisanHeboh'])) {
            if (htmlspecialchars($this->input->post('tah_alamat_id')) > 0) :
                $alamat_id = htmlspecialchars($this->input->post('tah_alamat_id'));
            else :
                $konversi_alamat    = $this->_KKodeAlamatKeHuruf();
                $alamat_id          = $this->_cekDataAlamat($konversi_alamat);
            endif;
            $data_inputan       = $this->_inputanDaftarAnggotaHeboh($konversi_alamat);
            $this->_kapasitasAnggota($data_inputan);
            $this->_v_anggota($data_inputan, $alamat_id);
            $this->session->set_flashdata('pesan_berhasil', '<div class="alert alert-success" id="pesan_berhasil" role="alert">Berhasil Mengajukan anggota arisan heboh!</div>');
            redirect('keuangan');
        }
        if (isset($_POST['simpanAnggotaArisanMotor'])) {
            if (htmlspecialchars($this->input->post('tam_alamat_id')) > 0) :
                $alamat_id = htmlspecialchars($this->input->post('tam_alamat_id'));
            else :
                $konversi_alamat    = $this->_KKodeAlamatKeHurufMotor();
                $alamat_id          = $this->_cekDataAlamat($konversi_alamat);
            endif;
            $data_inputan = $this->_inputanDaftarAnggotaMotor($konversi_alamat);
            $this->_kapasitasAnggota($data_inputan);
            $this->_v_anggota($data_inputan, $alamat_id);
            $this->session->set_flashdata('pesan_berhasil', '<div class="alert alert-success" id="pesan_berhasil" role="alert">Berhasil Mengajukan anggota arisan motor!</div>');
            redirect('keuangan');
        }
    }
    private function _filterKasTanggal()
    {
        // Filter Tanggal
        $bulan                        = htmlspecialchars($this->input->post('bulan_transaksi'));
        $tahun                        = htmlspecialchars($this->input->post('tahun_transaksi'));
        // Notifikasi
        $notif = $this->notifikasi->notif_keuangan();
        // Data Login
        $data_login                   = $this->userlogin->user_login();
        $data_id_login                = $this->session->userdata('isloggedin');
        $tampil_tahun                 = $this->select_model->getDataTahunTransaksi();
        // KAS Umum Koperasi
        $masuk_kasbulanan             = $this->select_model->filter_getDataARusKasArisanMasukBulanan($bulan, $tahun);
        $Keluar_kasbulanan            = $this->select_model->filter_getDataARusKasArisanKeluarBulanan($bulan, $tahun);
        // Kas Operasional Koperasi
        $data_kasmasukbulanan         = $this->select_model->filter_vd_TagihanKoperasiBulanan($bulan, $tahun);
        $data_kaskeluarbulanan        = $this->select_model->filter_vd_RealisasiKoperasiBulanan($bulan, $tahun);
        // Kas Arisan Koperasi
        $data_arisanmasukbulananheboh = $this->select_model->filter_vd_kasMasukArisanBulananHeboh($bulan, $tahun);
        $data_arisanmasukbulananmotor = $this->select_model->filter_vd_kasMasukArisanBulananMotor($bulan, $tahun);
        // Omset atau pendapatan Koperasi
        $data_omset_koperasi_lancar   = $this->select_model->filter_vd_omsetKoperasiLancar($bulan, $tahun);
        $data_omset_koperasi_macet    = $this->select_model->filter_vd_omsetKoperasiMacet($bulan, $tahun);
        $data_omset_realisasi         = $this->select_model->filter_vd_omsetKoperasiRealisasi($bulan, $tahun);
        $data_pendapatankelompok      = $this->select_model->filter_getDataSemuaPendapatanKelompok($bulan, $tahun); // Menampilkan semua data pendapatan kelompok arisan heboh
        // Kas Operasional Arisan
        // Arisan Heboh
        $data_kaskelompok             = $this->select_model->filter_getDataSemuaKasKelompok($bulan, $tahun); // Menampilkan total saldo kas kelompok arisan heboh
        // Arisan Motor
        $data_kaslelang               = $this->select_model->filter_getDataSemuaKasLelang($bulan, $tahun); //Menampilkan semua total saldo kas lelang kelompok arisan motor

        $data_pendapatanlelang        = $this->select_model->filter_getDataSemuaPendapatanLelang($bulan, $tahun); // menampilkan semua data pendatan kelompok arisan motor
        $data_laporankelompok         = $this->select_model->filter_getDataSemuaLaporanVerifikasi($bulan, $tahun);
        $data_laporanlelang           = $this->select_model->filter_getDataSemuaLaporanLelang($bulan, $tahun);
        // echo '<pre>';
        // var_dump($jml_tunggakan);
        // die;
        $data = array(
            // Untuk memanggil halaman sesuai menu
            'folder' => 'beranda_filter',
            'page'   => 'index',
            'judul'  => 'Beranda Keuangan || Bagian Keuangan',
            'bulan'  => $bulan,
            'tahun'  => $tahun,
            // Isi data
            'data_id_login'       => $data_id_login,
            'data_login'          => $data_login,
            'notif'               => $notif,
            'tampil_tahun'        => $tampil_tahun,
            // Data isian konten
            // Bagian Kas Umum Koperasi
            'kuk_masuk_kasbulanan'    => $masuk_kasbulanan,
            'kuk_Keluar_kasbulanan'   => $Keluar_kasbulanan,
            // Bagian Kas Operasional Koperasi
            'kok_masuk_kasbulanan'    => $data_kasmasukbulanan,
            'kok_Keluar_kasbulanan'   => $data_kaskeluarbulanan,
            // Bagian Kas Arisan Heboh dan Motor
            'kak_masukbulanan_heboh'  => $data_arisanmasukbulananheboh,
            'kak_masukbulanan_motor'  => $data_arisanmasukbulananmotor,
            // Pendapatan atau Omset Koperasi
            'omset_koperasi_lancar'   => $data_omset_koperasi_lancar,
            'omset_koperasi_macet'    => $data_omset_koperasi_macet,
            'omset_realisasi'         => $data_omset_realisasi,
            'pendapatan_kelompok'     => $data_pendapatankelompok,
            'pendapatan_lelang'       => $data_pendapatanlelang,
            // Hapus
            'kas_kelompok'        => $data_kaskelompok,
            'kas_lelang'          => $data_kaslelang,
            'laporan_kelompok'    => $data_laporankelompok,
            'laporan_lelang'      => $data_laporanlelang
        );
        $this->load->view('keuangan/index', $data);
    }
    // Validasi Inputan Produk Arisan
    private function _inputanDaftarAnggotaHeboh($konversi_alamat)
    {
        $data_inputan = array(
            'regist_arisan'  => htmlspecialchars($this->input->post('regist_arisan')),
            'nik'            => htmlspecialchars($this->input->post('nik_anggota')),
            'nm_anggota'     => htmlspecialchars($this->input->post('tah_nm_anggota')),
            'login_id'       => htmlspecialchars($this->input->post('login_id')),
            'jk'             => htmlspecialchars($this->input->post('tah_jk')),
            'alamat_lengkap' => htmlspecialchars($this->input->post('tah_alamat_lengkap')),
            'kode_pos'       => htmlspecialchars($this->input->post('tah_kode_pos')),
            'nm_rt'          => htmlspecialchars($this->input->post('tah_nm_rt')),
            'nm_rw'          => htmlspecialchars($this->input->post('tah_nm_rw')),
            'nm_desa'        => $konversi_alamat['nm_desa'],
            'nm_kecamatan'   => $konversi_alamat['nm_kecamatan'],
            'kot_kab'        => $konversi_alamat['kot_kab'],
            'prov'           => $konversi_alamat['prov'],
            'tempat_lahir'   => htmlspecialchars($this->input->post('tah_tempat_lahir')),
            'tgl_lahir'      => htmlspecialchars($this->input->post('tah_tgl_lahir')),
            'no_hp'          => htmlspecialchars($this->input->post('tah_no_hp')),
            'pekerjaan'      => htmlspecialchars($this->input->post('tah_pekerjaan')),
            'suami_istri'    => htmlspecialchars($this->input->post('tah_suami_istri')),
            'foto_ktp'       => htmlspecialchars($this->input->post('foto_ktp'))
        );
        return $data_inputan;
    }
    private function _inputanDaftarAnggotaMotor($konversi_alamat)
    {
        $data_inputan = array(
            'regist_arisan'  => htmlspecialchars($this->input->post('regist_arisan')),
            'nik'            => htmlspecialchars($this->input->post('nik_motor')),
            'nm_anggota'     => htmlspecialchars($this->input->post('tam_nm_anggota')),
            'login_id'       => htmlspecialchars($this->input->post('login_id')),
            'jk'             => htmlspecialchars($this->input->post('tam_jk')),
            'alamat_lengkap' => htmlspecialchars($this->input->post('tam_alamat_lengkap')),
            'kode_pos'       => htmlspecialchars($this->input->post('tam_kode_pos')),
            'nm_rt'          => htmlspecialchars($this->input->post('tam_nm_rt')),
            'nm_rw'          => htmlspecialchars($this->input->post('tam_nm_rw')),
            'nm_desa'        => $konversi_alamat['nm_desa'],
            'nm_kecamatan'   => $konversi_alamat['nm_kecamatan'],
            'kot_kab'        => $konversi_alamat['kot_kab'],
            'prov'           => $konversi_alamat['prov'],
            'tempat_lahir'   => htmlspecialchars($this->input->post('tam_tempat_lahir')),
            'tgl_lahir'      => htmlspecialchars($this->input->post('tam_tgl_lahir')),
            'no_hp'          => htmlspecialchars($this->input->post('tam_no_hp')),
            'pekerjaan'      => htmlspecialchars($this->input->post('tam_pekerjaan')),
            'suami_istri'    => htmlspecialchars($this->input->post('tam_suami_istri')),
            'foto_ktp'       => htmlspecialchars($this->input->post('foto_ktp'))
        );
        return $data_inputan;
    }
    // Melihat alamat lengkap Heboh
    private function _KKodeAlamatKeHuruf()
    {
        // Cek Provinsi
        $provinsi               = file_get_contents('https://open-api.my.id/api/wilayah/provinces/');
        $data_provinsi          = json_decode($provinsi, true);
        foreach ($data_provinsi as $Provinsi) :
            if ($Provinsi['id'] == htmlspecialchars($this->input->post('tah_province_id'))) :
                $prov = array(
                    'id'   => $Provinsi['id'],
                    'name' => $Provinsi['name']
                );
            endif;
        endforeach;
        // Cek Kabupaten
        $kab_kota               = file_get_contents('https://open-api.my.id/api/wilayah/regencies/' . $prov['id']);
        $data_kab_kota          = json_decode($kab_kota, true);
        foreach ($data_kab_kota as $Kabupaten) :
            if ($Kabupaten['id'] == htmlspecialchars($this->input->post('tah_kot_kab'))) :
                $kab = array(
                    'id'   => $Kabupaten['id'],
                    'name' => $Kabupaten['name']
                );
            endif;
        endforeach;
        // Cek Kecamatan
        $kecamatan               = file_get_contents('https://open-api.my.id/api/wilayah/districts/' . $kab['id']);
        $data_kecamatan          = json_decode($kecamatan, true);
        foreach ($data_kecamatan as $Kec) :
            if ($Kec['id'] == htmlspecialchars($this->input->post('tah_nm_kec'))) :
                $nm_kec = array(
                    'id'   => $Kec['id'],
                    'name' => $Kec['name']
                );
            endif;
        endforeach;
        // Cek Nama Desa atau Kelurahan
        $deskel               = file_get_contents('https://open-api.my.id/api/wilayah/villages/' . $nm_kec['id']);
        $data_deskel          = json_decode($deskel, true);
        foreach ($data_deskel as $Deskel) :
            if ($Deskel['id'] == htmlspecialchars($this->input->post('tah_nm_desa'))) :
                $desa_kelurahan = array(
                    'id'   => $Deskel['id'],
                    'name' => $Deskel['name']
                );
            endif;
        endforeach;
        $data_alamat = array(
            'prov'         => $prov['name'],
            'kot_kab'      => $kab['name'],
            'nm_kecamatan' => $nm_kec['name'],
            'nm_desa'      => $desa_kelurahan['name'],
        );
        return $data_alamat;
    }
    // Melihat alamat lengkap Heboh
    private function _KKodeAlamatKeHurufMotor()
    {
        // Cek Provinsi
        $provinsi               = file_get_contents('https://open-api.my.id/api/wilayah/provinces/');
        $data_provinsi          = json_decode($provinsi, true);
        foreach ($data_provinsi as $Provinsi) :
            if ($Provinsi['id'] == htmlspecialchars($this->input->post('tam_province_id'))) :
                $prov = array(
                    'id'   => $Provinsi['id'],
                    'name' => $Provinsi['name']
                );
            endif;
        endforeach;
        // Cek Kabupaten
        $kab_kota               = file_get_contents('https://open-api.my.id/api/wilayah/regencies/' . $prov['id']);
        $data_kab_kota          = json_decode($kab_kota, true);
        foreach ($data_kab_kota as $Kabupaten) :
            if ($Kabupaten['id'] == htmlspecialchars($this->input->post('tam_kot_kab'))) :
                $kab = array(
                    'id'   => $Kabupaten['id'],
                    'name' => $Kabupaten['name']
                );
            endif;
        endforeach;
        // Cek Kecamatan
        $kecamatan               = file_get_contents('https://open-api.my.id/api/wilayah/districts/' . $kab['id']);
        $data_kecamatan          = json_decode($kecamatan, true);
        foreach ($data_kecamatan as $Kec) :
            if ($Kec['id'] == htmlspecialchars($this->input->post('tam_nm_kec'))) :
                $nm_kec = array(
                    'id'   => $Kec['id'],
                    'name' => $Kec['name']
                );
            endif;
        endforeach;
        // Cek Nama Desa atau Kelurahan
        $deskel               = file_get_contents('https://open-api.my.id/api/wilayah/villages/' . $nm_kec['id']);
        $data_deskel          = json_decode($deskel, true);
        foreach ($data_deskel as $Deskel) :
            if ($Deskel['id'] == htmlspecialchars($this->input->post('tam_nm_desa'))) :
                $desa_kelurahan = array(
                    'id'   => $Deskel['id'],
                    'name' => $Deskel['name']
                );
            endif;
        endforeach;
        $data_alamat = array(
            'prov'         => $prov['name'],
            'kot_kab'      => $kab['name'],
            'nm_kecamatan' => $nm_kec['name'],
            'nm_desa'      => $desa_kelurahan['name'],
        );
        return $data_alamat;
    }
    // Mencari ID alamat database Heboh
    private function _cekDataAlamat($konversi_alamat)
    {
        $cek_alamat = $this->db->get_where('sistem_alamat', ['nm_desa' => $konversi_alamat['nm_desa'], 'nm_kecamatan' => $konversi_alamat['nm_kecamatan'], 'kot_kab' => $konversi_alamat['kot_kab'], 'prov' => $konversi_alamat['prov']])->row_array();
        if ($cek_alamat > 0) :
            $alamat_id = $cek_alamat['id'];
            return $alamat_id;
        else :
            $data_alamat = array(
                'nm_desa'      => $konversi_alamat['nm_desa'],
                'nm_kecamatan' => $konversi_alamat['nm_kecamatan'],
                'kd_pos'       => htmlspecialchars($this->input->post('tah_kode_pos')),
                'kot_kab'      => $konversi_alamat['kot_kab'],
                'prov'         => $konversi_alamat['prov']
            );
            $this->db->insert('sistem_alamat', $data_alamat);
            $alamat = $this->db->get_where('sistem_alamat', ['nm_desa' => $konversi_alamat['nm_desa'], 'nm_kecamatan' => $konversi_alamat['nm_kecamatan'], 'kot_kab' => $konversi_alamat['kot_kab'], 'prov' => $konversi_alamat['prov']])->row_array();
            $alamat_id = $alamat['id'];
            return $alamat_id;
        endif;
    }
    // Validasi total anggota
    private function _kapasitasAnggota($data_inputan)
    {
        $cek_arisan = $this->db->get_where('p_arisan', ['id' => $data_inputan['regist_arisan']])->row_array();
        $cek_anggota = $this->db->get_where('p_arisan_anggota', ['regist_arisan' => $data_inputan['regist_arisan']])->result();
        $ttl_anggota = count($cek_anggota);
        if ($ttl_anggota >= $cek_arisan['target_anggota']) :
            $this->session->set_flashdata('pesan_gagal', '<div class="alert alert-danger" id="pesan_gagal" role="alert">Anggota Melebihi Target Kelompok, Silahkan ubah target kelompok!</div>');
            redirect('arisan');
        endif;
    }
    // validasi calon anggota koperasi daftar arisan
    private function _v_anggota($data_inputan, $alamat_id)
    {
        $cek_anggota = $this->db->get_where('anggota', ['nik' => $data_inputan['nik']])->row_array();
        if ($cek_anggota > 0) :
            // Daftar Arisan Langsung
            $this->_ajukanAnggotaArisanHeboh($data_inputan, $cek_anggota);
        else :
            // Daftar ID Anggota terlebih dahulu
            $this->_daftarAnggotaKoperasi($data_inputan);
            $this->insert_model->tambahAnggotaKoperasi($data_inputan, $alamat_id);
        endif;
    }
    // Tambah Anggota Arisan dan Validasi nomor HP
    private function _ajukanAnggotaArisanHeboh($data_inputan, $cek_anggota)
    {
        if ($cek_anggota['no_hp'] == $data_inputan['no_hp']) :
            $data_pengajuan = array(
                'anggota_id'    => $cek_anggota['id'],
                'regist_arisan' => $data_inputan['regist_arisan'],
                'rekom_id'      => $this->session->userdata('isloggedin')
            );
            $this->db->insert('p_arisan_pengajuan', $data_pengajuan);
        else :
            $data_pengajuan = array(
                'anggota_id'    => $cek_anggota['id'],
                'regist_arisan' => $data_inputan['regist_arisan'],
                'rekom_id'      => $this->session->userdata('isloggedin')
            );
            $this->db->insert('p_arisan_pengajuan', $data_pengajuan);
            $data = array(
                'anggota_id'   => $cek_anggota['id'],
                'no_hp'        => $data_inputan['no_hp'],
                'ket_cadangan' => 'Nomor ' . $cek_anggota['no_hp'] . ' di daftarkan sebagai nomor cadangan'
            );
            $this->db->insert('anggota_hp_cadangan', $data);
        endif;
    }
    // Menambahkan data calon koperasi
    private function _daftarAnggotaKoperasi($data_inputan)
    {
        // Validasi Nomor HP
        $cek_hp = $this->db->get_where('anggota', ['no_hp' => $data_inputan['no_hp']])->row_array();
        if ($cek_hp > 0) :
            $this->session->set_flashdata('pesan_gagal', '<div class="alert alert-danger" id="pesan_gagal" role="alert">Nomor HP anda sudah di pakai orang lain!</div>');
            redirect('arisan' . $this->encrypt->encode($data_inputan['regist_arisan']));
        endif;
        $cek_hp2 = $this->db->get_where('anggota_hp_cadangan', ['no_hp' => $data_inputan['no_hp']])->row_array();
        $cek_hp2 = $this->db->get_where('anggota', ['no_hp' => $data_inputan['no_hp']])->row_array();
        if ($cek_hp2 > 0) :
            $this->session->set_flashdata('pesan_gagal', '<div class="alert alert-danger" id="pesan_gagal" role="alert">Nomor HP anda sudah di pakai orang lain!</div>');
            redirect('arisan' . $this->encrypt->encode($data_inputan['regist_arisan']));
        endif;
    }
}

/* End of file ControllerBeranda.php and path \application\controllers\keuangan\ControllerBeranda.php */